Scilab Function

gcd - gcd calculation

### Calling Sequence

  `[pgcd,U]=gcd(p)`

### Parameters

- `p` : polynomial row vector `p=[p1,..,pn]`

### Description

computes the gcd of components of `p` and a unimodular matrix (with polynomial inverse) `U`, with minimal degree such that

`p*U=[0 ... 0 pgcd]`

### Examples

    s=poly(0,'s');
    p=[s,s*(s+1)^2,2*s^2+s^3];
    [pgcd,u]=gcd(p);
    p*u

### See Also

`bezout` `lcm` `hermit`